package xyz.twovb.sgm.games.impl.capturethebrick;
/*
 * Created by 2vb - 5/7/2024
 */

public class CtbData {

    public enum PlayerState {
        Free(""),
        Stealing("<yellow>⚠<bold>ʙᴇ ᴄᴀʀᴇꜰᴜʟ! ʏᴏᴜ ʜᴀᴠᴇ ᴀ ʙʀɪᴄᴋ</bold>⚠"),
        Invulnerable("<gray><bold>ɢᴏ ʙᴀᴄᴋ ᴛᴏ ɴᴇᴜᴛʀᴀʟ!"),
        Tagging("<gray><bold>ʏᴏᴜ ᴀʀᴇ ᴛᴀɢɢɪɴɢ: %player%"),
        Tagged("<red><bold>ʏᴏᴜ ᴀʀᴇ ᴄᴜʀʀᴇɴᴛʟʏ ᴛᴀɢɢᴇᴅ!"),
        Jailed("<dark_gray><bold>ʏᴏᴜ ᴀʀᴇ ᴄᴜʀʀᴇɴᴛʟʏ ᴊᴀɪʟᴇᴅ ɪɴ: %territory%");

        private final String fancyText;

        PlayerState(String fancyText) {
            this.fancyText = fancyText;
        }

        public String getFancyText() {
            return fancyText;
        }
    }

    public enum Teams {
        Red, Blue
    }

    public enum Territory {
        Red("<red><bold>ʀᴇᴅ ᴛᴇʀʀɪᴛᴏʀʏ"),
        Blue("<blue><bold>ʙʟᴜᴇ ᴛᴇʀʀɪᴛᴏʀʏ"),
        Neutral("<gray><bold>ɴᴇᴜᴛʀᴀʟ"),
        Unknown("<dark_gray><bold>???");

        private final String fancyText;

        Territory(String fancyText) {
            this.fancyText = fancyText;
        }

        public String getFancyText() {
            return fancyText;
        }
    }

}
